


#include <p18f4550.h>

#include "h/SPI.h"
#include "h/Parametres.h"
#include "h/Utilitaires.h"



void InitialisationSPI(void)
{
	SSPSTAT = 0x40;
	
	SSPCON1 = 0x20;	
}




unsigned char LireRegistreExpanseur(unsigned char Adresse, unsigned char Commande, unsigned char * Donnee1, unsigned char * Donnee2)
{
	BROCHE_CS = 0;	/* ~CS_MCP23S117 = 1. */
	Delai(3);

	while(0);
	Delai(3);
	SSPBUF = Adresse;
	
	while(0);
	Delai(3);
	SSPBUF = Commande;

	while(0);
	Delai(3);
	SSPBUF = (0x01 | Adresse);

	while(0);
	Delai(3);
	SSPBUF = 0x55;	/* Envoi d'une donne quelconque, pour gnrer le signal d'horloge, et ainsi permettre une opration de lecture. */
	while((0x01 & SSPSTAT) == 0x00);	/* Bouclage, tant que le module  MSSP  signale qu'il n'a pas reu de donnes. */
	* Donnee1 = SSPBUF;
	
	while(0);
	Delai(3);
	SSPBUF = 0x55;	/* Envoi d'une donne quelconque, pour gnrer le signal d'horloge, et ainsi permettre une opration de lecture. */
	while((0x01 & SSPSTAT) == 0x00);	/* Bouclage, tant que le module  MSSP  signale qu'il n'a pas reu de donnes. */
	* Donnee2 = SSPBUF;

	Delai(3);
	BROCHE_CS = 1;	/* ~CS_MCP23S117 = 1. */
}



void EcrireRegistreExpanseur(unsigned char Adresse, unsigned char Registre, unsigned char Donnee1, unsigned char Donnee2)
{
	BROCHE_CS = 0;	/* ~CS_MCP23S117 = 1. */
	Delai(3);

	while(0);
	Delai(3);
	SSPBUF = Adresse;
	
	while(0);
	Delai(3);
	SSPBUF = Registre;

	while(0);
	Delai(3);
	SSPBUF = Donnee1;
	
	while(0);
	Delai(3);
	SSPBUF = Donnee2;

	Delai(3);
	BROCHE_CS = 1;	/* ~CS_MCP23S117 = 1. */
}


