


/* Prototypes des fonctions labores pour la commande de l'afficheur graphique */



unsigned char Retourner(unsigned char Paquet);
void EnvoyerControleGraphique(unsigned char Controle);
void SelectionnerBlocGraphique(unsigned char Numero);
void InitialiserAfficheurGraphique(unsigned char Positif);
void PositionnerCurseurXYGraphique(unsigned char X1, unsigned char YLigne1);
void EffacerAfficheurGraphique(unsigned char Positif);
void AllumerEteindreAfficheur(unsigned char Choix);
void AfficherImageGaphique(unsigned char *data, unsigned char Positif);
void AfficherImageGraphique(const unsigned char *Image, unsigned char Positif);
void AfficherCaractereGraphique(char Caractere, unsigned char Attribut);
void AfficherTexteGraphique(const rom char * Texte, unsigned char Attribut);
void EnvoyerDonneeGraphique(unsigned char Donnee);
void ConvertirAfficherGraphique(int Nombre, unsigned char Base, unsigned char Attribut);
unsigned char AfficherLesBlocs(void);
unsigned char AfficherLesPages(void);
void RemplirZoneGraphique(unsigned char Largeur, unsigned char Hauteur, unsigned char Donnee);
void TracerLogoGraphique(unsigned char Largeur, unsigned char Hauteur, const unsigned char *Donnee, unsigned char Positif);
void TracerPointXYGraphique(unsigned char X, unsigned char Y, unsigned char Positif);
void TracerCadreGraphique(unsigned char X, unsigned char Y, unsigned char Largeur, unsigned char Hauteur, unsigned char Positif);
void TracerRectangleGraphique(unsigned char X, unsigned char Y, unsigned char Largeur, unsigned char Hauteur, unsigned char Positif);
void Tempo_ms(int Temps);



/* Attributs possibles pour les textes  afficher */



#define ATTRIBUT_ATTENTE_1 0x80
#define ATTRIBUT_ATTENTE_2 0x40
#define ATTRIBUT_HAUTEUR_DOUBLE 0x20
#define ATTRIBUT_LARGEUR_DOUBLE 0x10
#define ATTRIBUT_ATTENTE_3 0x08
#define ATTRIBUT_BARRE 0x04
#define ATTRIBUT_SOULIGNE 0x02
#define ATTRIBUT_POSITIF 0x01
#define ATTRIBUT_NORMAL 0x00


